/*
 * This file is generated by jOOQ.
 */
package nu.studer.sample;


import javax.annotation.processing.Generated;

import nu.studer.sample.tables.Customer;
import nu.studer.sample.tables.Purpose;
import nu.studer.sample.tables.PurposeCategories;
import nu.studer.sample.tables.Task;


/**
 * Convenience access to all tables in selfbooster.
 */
@Generated(
    value = {
        "https://www.jooq.org",
        "jOOQ version:3.15.1"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Tables {

    /**
     * Таблица пользователей
     */
    public static final Customer CUSTOMER = Customer.CUSTOMER;

    /**
     * Таблица целей
     */
    public static final Purpose PURPOSE = Purpose.PURPOSE;

    /**
     * The table <code>selfbooster.purpose_categories</code>.
     */
    public static final PurposeCategories PURPOSE_CATEGORIES = PurposeCategories.PURPOSE_CATEGORIES;

    /**
     * The table <code>selfbooster.task</code>.
     */
    public static final Task TASK = Task.TASK;
}
